Debian Bug report logs - #713853
[PATCH] Switch to dh-systemd, making packaging easier and more correct

version graph

Package: nginx; Maintainer for nginx is Kartik Mistry <kartik@debian.org>; Source for nginx is src:nginx.

Reported by: Michael Stapelberg <stapelberg@debian.org>

Date: Sun, 23 Jun 2013 09:48:10 UTC

Severity: normal

Tags: patch

Found in version nginx/1.4.1-3

Fixed in version nginx/1.4.3-1

Done: Kartik Mistry <kartik@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-systemd-maintainers@lists.alioth.debian.org, Kartik Mistry <kartik@debian.org>:
Bug#713853; Package nginx. (Sun, 23 Jun 2013 09:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-systemd-maintainers@lists.alioth.debian.org, Kartik Mistry <kartik@debian.org>. (Sun, 23 Jun 2013 09:48:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [PATCH] Switch to dh-systemd, making packaging easier and more correct
Date: Sun, 23 Jun 2013 11:47:30 +0200
[Message part 1 (text/plain, inline)]
Package: nginx
Version: 1.4.1-3
Severity: normal
Tags: patch

Please apply the attached patch. It switches the nginx packaging to
dh-systemd, a new debhelper plugin. This fixes the issue that nginx is
not enabled when installing it with sysvinit and afterwards switching to
systemd (mitigated by a workaround script for wheezy, but this is the
clean solution).

Furthermore, it simplifies the packaging and makes sure that we can roll
out fixes more easily.

If you have any questions, please let me know.

Thanks.
[0001-Switch-to-dh-systemd-making-packaging-easier-and-mor.patch (text/x-diff, attachment)]

Reply sent to Kartik Mistry <kartik@debian.org>:
You have taken responsibility. (Thu, 10 Oct 2013 16:24:30 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <stapelberg@debian.org>:
Bug acknowledged by developer. (Thu, 10 Oct 2013 16:24:30 GMT) Full text and rfc822 format available.

Message #10 received at 713853-close@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: 713853-close@bugs.debian.org
Subject: Bug#713853: fixed in nginx 1.4.3-1
Date: Thu, 10 Oct 2013 16:21:16 +0000
Source: nginx
Source-Version: 1.4.3-1

We believe that the bug you reported is fixed in the latest version of
nginx, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713853@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kartik Mistry <kartik@debian.org> (supplier of updated nginx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 Oct 2013 17:28:56 +0530
Source: nginx
Binary: nginx nginx-doc nginx-common nginx-full nginx-full-dbg nginx-light nginx-light-dbg nginx-extras nginx-extras-dbg nginx-naxsi nginx-naxsi-dbg nginx-naxsi-ui
Architecture: source all amd64
Version: 1.4.3-1
Distribution: unstable
Urgency: low
Maintainer: Kartik Mistry <kartik@debian.org>
Changed-By: Kartik Mistry <kartik@debian.org>
Description: 
 nginx      - small, powerful, scalable web/proxy server
 nginx-common - small, powerful, scalable web/proxy server - common files
 nginx-doc  - small, powerful, scalable web/proxy server - documentation
 nginx-extras - nginx web/proxy server (extended version)
 nginx-extras-dbg - nginx web/proxy server (extended version) - debugging symbols
 nginx-full - nginx web/proxy server (standard version)
 nginx-full-dbg - nginx web/proxy server (standard version) - debugging symbols
 nginx-light - nginx web/proxy server (basic version)
 nginx-light-dbg - nginx web/proxy server (basic version) - debugging symbols
 nginx-naxsi - nginx web/proxy server (version with naxsi)
 nginx-naxsi-dbg - nginx web/proxy server (version with naxsi) - debugging symbols
 nginx-naxsi-ui - nginx web/proxy server - naxsi configuration front-end
Closes: 696797 712989 713853 721702 722640 724232
Changes: 
 nginx (1.4.3-1) unstable; urgency=low
 .
   [ Cyril Lavier ]
   * debian/nginx-naxsi-ui.postinst, debian/nginx-naxsi-ui.preinst:
     + Added missing arguments to have clean postinst/preinst scripts.
   * debian/conf/fastcgi_params:
     + Defined fastcgi param HTTPS the same as upstream default.
       (Closes: #712989)
 .
   [ Michael Lustfield ]
   * conf/sites-available/default:
     + Removed /doc/ section per bug #715804.
 .
   [ Christos Trochalakis ]
   * New upstream release. (Closes: #722640)
   * debian/nginx-common.nginx.init:
     + Better pidfile extraction from nginx.conf. We now accept multiple
       spaces and tabs as a field separator.
   * debian/modules/nginx-auth-pam:
     + Fixed upstream bug. (Closes: #721702)
   * debian/watch:
     + Only check for stable releases.
   * debian/conf/sites-available/default:
     + Correctly fallback to 404 when the requested file is missing.
       (Closes: #724232)
   * debian/logrotate:
     + Gracefully handle empty pidfile in logrotate script.
       (Closes: #696797)
 .
   [ Kartik Mistry ]
   * Switch to dh-systemd (Closes: #713853)
Checksums-Sha1: 
 9ba8abde373029838fcb0a4d4e3539780de61a29 2171 nginx_1.4.3-1.dsc
 8d0c34c84ce6dd8ba4442889e8f2599044c90930 767971 nginx_1.4.3.orig.tar.gz
 a2de4fad0e6f4be5e830ec174a29f067634a9696 1564360 nginx_1.4.3-1.debian.tar.gz
 785e36f51735adcf9e1723175d4e9e2f888069f3 65968 nginx_1.4.3-1_all.deb
 970119b120c67dd49e197b9f4b2987b7a8bb4686 78474 nginx-doc_1.4.3-1_all.deb
 d417e704a2ca488598c66f6790d3d0215b3dfaae 75772 nginx-common_1.4.3-1_all.deb
 d88e7783e9a959b76e5cedefd3fcb3d069cde52b 308280 nginx-naxsi-ui_1.4.3-1_all.deb
 545c146ab6d0db907bd70ab0957747e907529518 391120 nginx-full_1.4.3-1_amd64.deb
 796f6604c87faf8a6053a1f115b5c6356fff3b2a 1212570 nginx-full-dbg_1.4.3-1_amd64.deb
 2fe927b063f94ff176fcde430e44545379895a9b 293332 nginx-light_1.4.3-1_amd64.deb
 22a3d7d710022c348bf7441f778a2b4c4027d618 885986 nginx-light-dbg_1.4.3-1_amd64.deb
 d2a096a1cad6642c1fe2630257e000d273a22892 544286 nginx-extras_1.4.3-1_amd64.deb
 ce9db5d39edabced51094f30d1a7fa580322622a 1770498 nginx-extras-dbg_1.4.3-1_amd64.deb
 86ca22e5cf52b3ae2620f6b1d491b508eecf6fa1 328826 nginx-naxsi_1.4.3-1_amd64.deb
 bca5c2350be954922313b0f4aca13640ffadb446 981482 nginx-naxsi-dbg_1.4.3-1_amd64.deb
Checksums-Sha256: 
 d59b74f7fa660bdea95b625d4b05d8c2bcc14209204186b124948cea1d0ed875 2171 nginx_1.4.3-1.dsc
 ae123885c923a6c3f5bab0a8b7296ef21c4fdf6087834667ebbc16338177de84 767971 nginx_1.4.3.orig.tar.gz
 754624257be3d7765fa250d2a297857f658cb1b88b9bd81f754bf2d113edc0e4 1564360 nginx_1.4.3-1.debian.tar.gz
 2d0d31f30d20eb18fda9d37e77987da405e450be17e5a3885ad7b6240128287f 65968 nginx_1.4.3-1_all.deb
 a77a906a8ba45cf2ea3fa5f235a555e80c32763b332d394bc15d1d0d89d8a059 78474 nginx-doc_1.4.3-1_all.deb
 42547c4f70fbb07bd93cf7de7a73d5e739dfcf8de085485e1f5fcac81b92e079 75772 nginx-common_1.4.3-1_all.deb
 9c7d2e0fd025338cbca32ccd68ace1e2c5047925d11f83baa1c1022d40c1c920 308280 nginx-naxsi-ui_1.4.3-1_all.deb
 8a014326854be50cda4c0ea27806040c6006c491b60ecd1c8dd0ee4e98ae13e2 391120 nginx-full_1.4.3-1_amd64.deb
 b41fb3395658916003993f490a8204e6a6c4b203286fda17908431464ad5af11 1212570 nginx-full-dbg_1.4.3-1_amd64.deb
 785da4414109e415618d0c99061d7881ee21f06cd302f3cab603445d8a690e13 293332 nginx-light_1.4.3-1_amd64.deb
 fa89d8a92e1ccac9cebb6386ed223ff5bf7921de52965764ea904a1fb90cc533 885986 nginx-light-dbg_1.4.3-1_amd64.deb
 96bfecfbd5d2c4fb47077a610ef3ca47948649a6c4f213cd747aa98c40acdfcc 544286 nginx-extras_1.4.3-1_amd64.deb
 caaa9b2fc9670d6201193b4c0bbb018a7beddd15cdc3a65a3e1aba30b5a2ec15 1770498 nginx-extras-dbg_1.4.3-1_amd64.deb
 0d17e47acef3ad25abfb4ddd625fef0c57fac6d2be1da032c9f24481628465b2 328826 nginx-naxsi_1.4.3-1_amd64.deb
 26430d99c803280591a5b1bce218fdd9975ce57b1791cbd912dae3b0da7ad1b9 981482 nginx-naxsi-dbg_1.4.3-1_amd64.deb
Files: 
 0558d52e9831e45ede4c533c21eef4f6 2171 httpd optional nginx_1.4.3-1.dsc
 4740dad2f0ed7f5fa16e8caaa8a9438e 767971 httpd optional nginx_1.4.3.orig.tar.gz
 2867b97f01607bc76339647082963891 1564360 httpd optional nginx_1.4.3-1.debian.tar.gz
 202b842b5e3828d0152bdd95f75748bb 65968 httpd optional nginx_1.4.3-1_all.deb
 f0a42012219203f0eed5a5228a893f30 78474 doc optional nginx-doc_1.4.3-1_all.deb
 c02eff94aa9a5269a66b04f4027b0004 75772 httpd optional nginx-common_1.4.3-1_all.deb
 776271f3b78aee3eea5128f513c7f7b2 308280 httpd extra nginx-naxsi-ui_1.4.3-1_all.deb
 72505f2b2c15f228c5eaae64f0621d97 391120 httpd optional nginx-full_1.4.3-1_amd64.deb
 1ad1fd142197ff33499dc5afb52c5ea8 1212570 debug extra nginx-full-dbg_1.4.3-1_amd64.deb
 9f3627d92fed85ecb9810d279b6b08ce 293332 httpd extra nginx-light_1.4.3-1_amd64.deb
 9824b4dde6d00fb8c6304f07e9cfeee5 885986 debug extra nginx-light-dbg_1.4.3-1_amd64.deb
 4573005f3f2ade90723c5068d9d6a80d 544286 httpd extra nginx-extras_1.4.3-1_amd64.deb
 1a083917d9b1be122506a1008951ccf2 1770498 debug extra nginx-extras-dbg_1.4.3-1_amd64.deb
 67acd7cc596ad753700606b784138b3b 328826 httpd extra nginx-naxsi_1.4.3-1_amd64.deb
 f552a36b4c13d7d7605bedff532a0f0f 981482 debug extra nginx-naxsi-dbg_1.4.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJW0OMACgkQoRg/jtECjI2hIgCfYW7Ae7M5515ej/xW7i/cApfn
nckAnRj6Ny/FrQcjLtZ1qgkvt/3ZaFRn
=yo8V
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Nov 2013 07:31:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:06:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.